local createCompositionCrash = nil
local createCompositionfon = nil
local createCompositionsHAR = nil
local createCompositionsHAR_2 = nil
local createCompositionglases_crsh = nil
---------------------------------------------------------------------------------------
local PREFIX_PATH = "data/Texture/Scenes/08a_street_pavilion/main/anim/z_table/"
---------------------------------------------------------------------------------------
function Loader_08A_Zoom_Table_Animations(parent)
	return CreateAnimationLoadingRoutine(parent, PREFIX_PATH,
		{
    			CreateCompositionLoader(createCompositionCrash,		                'magic_ball_crash',	0,0, 3, 512,384, false),
    			CreateCompositionLoader(createCompositionfon,		                'idle',		        0,0, 2, 512,384, false),
                CreateCompositionLoader(createCompositionsHAR,		                'magic_ball_idle',  0,0, 3, 512,384, true),
		},
		{
			function (element, textureName)
			    element:SetFrameSynchronizationActive(true)
				if textureName == "[2-12].png" then
					local anim = element:GetTexture()
					anim:SetFrames(11)
					anim:SetTextureRect(0,0,87,90)
					anim:SetSpeed(28)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:SetBlendMode(0)
					anim:Play()
				end
				if textureName == "1_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(48)
					anim:SetTextureRect(0,0,60,56)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:SetBlendMode(0)
					anim:Play()
				end
				if textureName == "Crash_crop_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(4)
					anim:SetTextureRect(0,0,368,320)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:Play()
				end
				if textureName == "glass_breaking_small_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(12)
					anim:SetTextureRect(0,0,132,176)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_NOLOOP)
					anim:SetBlendMode(0)
					anim:Play()
				end
				if textureName == "smoke_[].png" then
					local anim = element:GetTexture()
					anim:SetFrames(12)
					anim:SetTextureRect(0,0,58,44)
					anim:SetSpeed(24)
					anim:SetMode(HGEANIM_FWD + HGEANIM_LOOP)
					anim:Play()
				end
			end,
		});
end
---------------------------------------------------------------------------------------
createCompositionCrash = function()
	local compositionCrash = CreateCompositionSequence()
	local compositionDuration = 3.04166666666667
	compositionCrash:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = createCompositionglases_crsh()
	element:SetName("Layer_1")
	compositionCrash:AddElement(element)
	element:SetHotSpot(512, 384)
	element:SetParentElement(compositionCrash)
	element:SetXY(512, 384)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 3)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."z_table_hammer_drag.png")
	element:SetName("Layer_2")
	compositionCrash:AddElement(element)
	element:SetHotSpot(83, 216)
	element:SetParentElement(compositionCrash)
	element:SetXY(759, 355)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.625)
	effector:SetKey(_TRACK_A, 0, 0.28920340644563)
	effector:SetKey(_TRACK_A, 0.08333333333333, -0.4871447627328)
	effector:SetKey(_TRACK_A, 0.125, -0.4482485815659)
	effector:SetKey(_TRACK_A, 0.16666666666667, -0.45602920938926)
	effector:SetKey(_TRACK_O, 0.16666666666667, 1)
	effector:SetKey(_TRACK_O, 0.375, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = createCompositionsHAR_2()
	element:SetName("Layer_3")
	compositionCrash:AddElement(element)
	element:SetHotSpot(612, 292)
	element:SetParentElement(compositionCrash)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:SetKey(_TRACK_X, 0.125, 612)
	effector:SetKey(_TRACK_Y, 0.125, 292)
	effector:SetKey(_TRACK_X, 0.75, 598)
	effector:SetKey(_TRACK_Y, 0.75, 301)
	effector:SetKey(_TRACK_SX, 0.125, 1)
	effector:SetKey(_TRACK_SY, 0.125, 1)
	effector:SetKey(_TRACK_SX, 0.75, 0.47572815533981)
	effector:SetKey(_TRACK_SY, 0.75, 0.16780821917808)
	effector:SetKey(_TRACK_O, 0.29166666666667, 1)
	effector:SetKey(_TRACK_O, 0.75, 0)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."shar_4_kl.png")
	element:SetName("Layer_4")
	compositionCrash:AddElement(element)
	element:SetHotSpot(85.5, 64)
	element:SetParentElement(compositionCrash)
	element:SetXY(618.5, 269.5)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.08333333333333, 3.04166666666667)
	effector:SetKey(_TRACK_O, 0.08333333333333, 0)
	effector:SetKey(_TRACK_O, 0.375, 1)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."smoke_[].png")
	element:SetName("Layer_5")
	compositionCrash:AddElement(element)
	element:SetHotSpot(29, 22)
	element:SetParentElement(compositionCrash)
	element:SetXY(606, 187)
 
	element:SetScaleX(3.41379310344828)
	element:SetScaleY(5.36363636363636)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.125, 2.625)
	effector:SetKey(_TRACK_O, 0.375, 1)
	effector:SetKey(_TRACK_O, 2.58333333333333, 0.01)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."12.png")
	element:SetName("Layer_6")
	compositionCrash:AddElement(element)
	element:SetHotSpot(137, 120)
	element:SetParentElement(compositionCrash)
	element:SetXY(865, 509)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.54166666666667, 3.04166666666667)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."11.png")
	element:SetName("Layer_7")
	compositionCrash:AddElement(element)
	element:SetHotSpot(173, 117)
	element:SetParentElement(compositionCrash)
	element:SetXY(628, 280)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.08333333333333, 3.04166666666667)
	effector:Play()
 
	compositionCrash:Play()
 
	return compositionCrash
end
 
createCompositionfon = function()
	local compositionfon = CreateCompositionSequence()
	local compositionDuration = 1.70833333333333
	compositionfon:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."platok_3.png")
	element:SetName("Layer_1")
	compositionfon:AddElement(element)
	element:SetHotSpot(8, 95.5)
	element:SetParentElement(compositionfon)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.29166666666667, 1.58333333333333)
	effector:SetKey(_TRACK_X, 0.5, 432)
	effector:SetKey(_TRACK_Y, 0.5, 215)
	effector:SetKey(_TRACK_X, 1.45833333333333, 432)
	effector:SetKey(_TRACK_Y, 1.45833333333333, 215)
	effector:SetKey(_TRACK_X, 1.5, 374)
	effector:SetKey(_TRACK_Y, 1.5, 244)
	effector:SetKey(_TRACK_SX, 0.29166666666667, 0.7672076893454)
	effector:SetKey(_TRACK_SY, 0.29166666666667, 0.3089998885995)
	effector:SetKey(_TRACK_SX, 0.5, 1)
	effector:SetKey(_TRACK_SY, 0.5, 1)
	effector:SetKey(_TRACK_SX, 1.45833333333333, 1)
	effector:SetKey(_TRACK_SY, 1.45833333333333, 1)
	effector:SetKey(_TRACK_SX, 1.5, 0.77869368690158)
	effector:SetKey(_TRACK_SY, 1.5, 0.51639621851418)
	effector:SetKey(_TRACK_SX, 1.58333333333333, 0.68776483318679)
	effector:SetKey(_TRACK_SY, 1.58333333333333, 0.45531244483581)
	effector:SetKey(_TRACK_A, 0.29166666666667, -0.38606485186857)
	effector:SetKey(_TRACK_A, 0.5, 0)
	effector:SetKey(_TRACK_A, 1.45833333333333, 0)
	effector:SetKey(_TRACK_A, 1.58333333333333, 2.57422112282938)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."platok_2.png")
	element:SetName("Layer_2")
	compositionfon:AddElement(element)
	element:SetHotSpot(186, 19)
	element:SetParentElement(compositionfon)
	element:SetXY(379.5, 238)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(1.58333333333333, 1.70833333333333)
	effector:SetKey(_TRACK_A, 1.58333333333333, -0.58219981844902)
	effector:SetKey(_TRACK_A, 1.66666666666667, 0)
	effector:SetKey(_TRACK_A, 1.70833333333333, 0)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."platok_2.png")
	element:SetName("Layer_3")
	compositionfon:AddElement(element)
	element:SetHotSpot(186, 19)
	element:SetParentElement(compositionfon)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.29166666666667)
	effector:SetKey(_TRACK_X, 0.08333333333333, 379.5)
	effector:SetKey(_TRACK_Y, 0.08333333333333, 238)
	effector:SetKey(_TRACK_X, 0.125, 434.5)
	effector:SetKey(_TRACK_Y, 0.125, 199)
	effector:SetKey(_TRACK_X, 0.16666666666667, 430.194027682198)
	effector:SetKey(_TRACK_Y, 0.16666666666667, 197.553482526564)
	effector:SetKey(_TRACK_X, 0.25, 433.5)
	effector:SetKey(_TRACK_Y, 0.25, 209)
	effector:SetKey(_TRACK_SX, 0.08333333333333, 1)
	effector:SetKey(_TRACK_SY, 0.08333333333333, 1)
	effector:SetKey(_TRACK_SX, 0.29166666666667, 1.14663816938586)
	effector:SetKey(_TRACK_SY, 0.29166666666667, 0.50257567746973)
	effector:SetKey(_TRACK_A, 0.08333333333333, 0)
	effector:SetKey(_TRACK_A, 0.125, -0.45232170056579)
	effector:SetKey(_TRACK_A, 0.29166666666667, -3.18152877398739)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."shar_2.png")
	element:SetName("Layer_4")
	compositionfon:AddElement(element)
	element:SetHotSpot(100.5, 98)
	element:SetParentElement(compositionfon)
	element:SetXY(595, 229)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.70833333333333)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."g_2.png")
	element:SetName("Layer_5")
	compositionfon:AddElement(element)
	element:SetHotSpot(93, 85)
	element:SetParentElement(compositionfon)
	element:SetXY(436, 96)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.70833333333333)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."ru.png")
	element:SetName("Layer_6")
	compositionfon:AddElement(element)
	element:SetHotSpot(48.5, 91.5)
	element:SetParentElement(compositionfon)
	element:SetXY(392, 190)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.125, 1.5)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."t_2.png")
	element:SetName("Layer_7")
	compositionfon:AddElement(element)
	element:SetHotSpot(100, 111)
	element:SetParentElement(compositionfon)
	element:SetXY(443, 192)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.70833333333333)
	effector:Play()
 
	compositionfon:Play()
 
	return compositionfon
end
 
createCompositionsHAR = function()
	local compositionsHAR = CreateCompositionSequence()
	local compositionDuration = 2
	compositionsHAR:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."[2-12].png")
	element:SetName("Layer_1")
	compositionsHAR:AddElement(element)
	element:SetHotSpot(1.51068048341574, 58.6065289391826)
	element:SetParentElement(compositionsHAR)
	element:SetScaleX(1.0509894379109)
	element:SetScaleY(1.08642614864636)
	element:SetOpacity(0.55)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.96427408854167)
	effector:SetKey(_TRACK_X, 0, 576.000000000003)
	effector:SetKey(_TRACK_Y, 0, 231.999999999999)
	effector:SetKey(_TRACK_X, 1, 611.000000000003)
	effector:SetKey(_TRACK_Y, 1, 231.999999999999)
	effector:SetKey(_TRACK_X, 1.91666666666667, 581.000000000003)
	effector:SetKey(_TRACK_Y, 1.91666666666667, 231.999999999999)
	effector:SetKey(_TRACK_A, 0, -2.0955187159264)
	effector:SetKey(_TRACK_A, 1, -5.54918321754492)
	effector:SetKey(_TRACK_A, 1.91666666666667, -8.76676198868578)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."1_[].png")
	element:SetName("Layer_2")
	compositionsHAR:AddElement(element)
	element:SetHotSpot(30, 28)
	element:SetParentElement(compositionsHAR)
	element:SetXY(598.5, 235.5)
 
	element:SetScaleX(3)
	element:SetScaleY(3)
	element:SetOpacity(0.65)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."1_[].png")
	element:SetName("Layer_3")
	compositionsHAR:AddElement(element)
	element:SetHotSpot(30, 28)
	element:SetParentElement(compositionsHAR)
	element:SetXY(598.5, 235.5)
 
	element:SetScaleX(3)
	element:SetScaleY(3)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."shar_3.png")
	element:SetName("Layer_4")
	compositionsHAR:AddElement(element)
	element:SetHotSpot(100.5, 98)
	element:SetParentElement(compositionsHAR)
	element:SetXY(595, 229)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
	compositionsHAR:Play()
 
	return compositionsHAR
end
 
createCompositionsHAR_2 = function()
	local compositionsHAR_2 = CreateCompositionSequence()
	local compositionDuration = 2
	compositionsHAR_2:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."[2-12].png")
	element:SetName("Layer_1")
	compositionsHAR_2:AddElement(element)
	element:SetHotSpot(1.51068048341574, 58.6065289391826)
	element:SetParentElement(compositionsHAR_2)
	element:SetScaleX(1.0509894379109)
	element:SetScaleY(1.08642614864636)
	element:SetOpacity(0.55)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 1.96427408854167)
	effector:SetKey(_TRACK_X, 0, 576.000000000003)
	effector:SetKey(_TRACK_Y, 0, 231.999999999999)
	effector:SetKey(_TRACK_X, 1, 611.000000000003)
	effector:SetKey(_TRACK_Y, 1, 231.999999999999)
	effector:SetKey(_TRACK_X, 1.91666666666667, 581.000000000003)
	effector:SetKey(_TRACK_Y, 1.91666666666667, 231.999999999999)
	effector:SetKey(_TRACK_A, 0, -2.0955187159264)
	effector:SetKey(_TRACK_A, 1, -5.54918321754492)
	effector:SetKey(_TRACK_A, 1.91666666666667, -8.76676198868578)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."1_[].png")
	element:SetName("Layer_2")
	compositionsHAR_2:AddElement(element)
	element:SetHotSpot(30, 28)
	element:SetParentElement(compositionsHAR_2)
	element:SetXY(598.5, 235.5)
 
	element:SetScaleX(3)
	element:SetScaleY(3)
	element:SetOpacity(0.65)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."1_[].png")
	element:SetName("Layer_3")
	compositionsHAR_2:AddElement(element)
	element:SetHotSpot(30, 28)
	element:SetParentElement(compositionsHAR_2)
	element:SetXY(598.5, 235.5)
 
	element:SetScaleX(3)
	element:SetScaleY(3)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 2)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."shar_3.png")
	element:SetName("Layer_4")
	compositionsHAR_2:AddElement(element)
	element:SetHotSpot(100.5, 98)
	element:SetParentElement(compositionsHAR_2)
	element:SetXY(595, 229)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.08333333333333)
	effector:Play()
 
	compositionsHAR_2:Play()
 
	return compositionsHAR_2
end
 
createCompositionglases_crsh = function()
	local compositionglases_crsh = CreateCompositionSequence()
	local compositionDuration = 3
	compositionglases_crsh:SetDuration(compositionDuration)
 
	local element
	local effector
 
	-- Layer Layer_1
	element = CreateCompositionElement(PREFIX_PATH.."glass_breaking_small_[].png")
	element:SetName("Layer_1")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(66, 88)
	element:SetParentElement(compositionglases_crsh)
	element:SetScaleX(0.93939393939394)
	element:SetScaleY(-0.77272727272727)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.08333333333333, 0.58333333333333)
	effector:SetKey(_TRACK_X, 0.125, 604)
	effector:SetKey(_TRACK_Y, 0.125, 195)
	effector:SetKey(_TRACK_X, 0.54166666666667, 603)
	effector:SetKey(_TRACK_Y, 0.54166666666667, 438)
	effector:Play()
 
 
	-- Layer Layer_2
	element = CreateCompositionElement(PREFIX_PATH.."glass_breaking_small_[].png")
	element:SetName("Layer_2")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(66, 88)
	element:SetParentElement(compositionglases_crsh)
	element:SetXY(607, 277)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0, 0.5)
	effector:Play()
 
 
	-- Layer Layer_3
	element = CreateCompositionElement(PREFIX_PATH.."01.png")
	element:SetName("Layer_3")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(33, 37)
	element:SetParentElement(compositionglases_crsh)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.25, 3)
	effector:SetKey(_TRACK_X, 0.25, 793)
	effector:SetKey(_TRACK_Y, 0.25, 153)
	effector:SetKey(_TRACK_X, 0.5, 921)
	effector:SetKey(_TRACK_Y, 0.5, 285)
	effector:SetKey(_TRACK_X, 0.625, 1073)
	effector:SetKey(_TRACK_Y, 0.625, 553)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 0.33333333333333, 0.62683936383001)
	effector:SetKey(_TRACK_A, 0.40474446614583, 1.50298832665013)
	effector:Play()
 
 
	-- Layer Layer_4
	element = CreateCompositionElement(PREFIX_PATH.."02.png")
	element:SetName("Layer_4")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(82, 54)
	element:SetParentElement(compositionglases_crsh)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.25, 3)
	effector:SetKey(_TRACK_X, 0.25, 587)
	effector:SetKey(_TRACK_Y, 0.25, 305)
	effector:SetKey(_TRACK_X, 0.41666666666667, 489)
	effector:SetKey(_TRACK_Y, 0.41666666666667, 473)
	effector:SetKey(_TRACK_X, 0.54166666666667, 431)
	effector:SetKey(_TRACK_Y, 0.54166666666667, 867)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 0.41666666666667, -0.88248382867463)
	effector:SetKey(_TRACK_A, 0.54166666666667, -1.57393367439593)
	effector:Play()
 
 
	-- Layer Layer_5
	element = CreateCompositionElement(PREFIX_PATH.."03.png")
	element:SetName("Layer_5")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(44, 54)
	element:SetParentElement(compositionglases_crsh)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.25, 3)
	effector:SetKey(_TRACK_X, 0.25, 692)
	effector:SetKey(_TRACK_Y, 0.25, 304)
	effector:SetKey(_TRACK_X, 0.41666666666667, 862)
	effector:SetKey(_TRACK_Y, 0.41666666666667, 534)
	effector:SetKey(_TRACK_X, 0.625, 1090)
	effector:SetKey(_TRACK_Y, 0.625, 812)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 0.41666666666667, 1.27829732174961)
	effector:SetKey(_TRACK_A, 0.54166666666667, 2.88162654305922)
	effector:Play()
 
 
	-- Layer Layer_6
	element = CreateCompositionElement(PREFIX_PATH.."04.png")
	element:SetName("Layer_6")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(73, 38)
	element:SetParentElement(compositionglases_crsh)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.25, 3)
	effector:SetKey(_TRACK_X, 0.25, 551)
	effector:SetKey(_TRACK_Y, 0.25, 215)
	effector:SetKey(_TRACK_X, 0.45833333333333, 469.698094150999)
	effector:SetKey(_TRACK_Y, 0.45833333333333, 356.954719944305)
	effector:SetKey(_TRACK_X, 0.66666666666667, 410)
	effector:SetKey(_TRACK_Y, 0.66666666666667, 853)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 0.375, -0.75661638518634)
	effector:SetKey(_TRACK_A, 0.66666666666667, -4.00451555700607)
	effector:Play()
 
 
	-- Layer Layer_7
	element = CreateCompositionElement(PREFIX_PATH.."05.png")
	element:SetName("Layer_7")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(20, 23)
	element:SetParentElement(compositionglases_crsh)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.25, 3)
	effector:SetKey(_TRACK_X, 0.25, 496)
	effector:SetKey(_TRACK_Y, 0.25, 185)
	effector:SetKey(_TRACK_X, 0.5, 492.999900220089)
	effector:SetKey(_TRACK_Y, 0.5, 371.434772037315)
	effector:SetKey(_TRACK_X, 0.70833333333333, 489)
	effector:SetKey(_TRACK_Y, 0.70833333333333, 620)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 0.5, -1.88167907185216)
	effector:SetKey(_TRACK_A, 0.70833333333333, -4.39058450098838)
	effector:SetKey(_TRACK_A, 0.77083333333333, -3.96016024482196)
	effector:SetKey(_TRACK_A, 0.83333333333333, -4.39058450098838)
	effector:SetKey(_TRACK_A, 0.89583333333333, -3.96016024482196)
	effector:SetKey(_TRACK_A, 0.95833333333333, -4.39058450098838)
	effector:Play()
 
 
	-- Layer Layer_8
	element = CreateCompositionElement(PREFIX_PATH.."06.png")
	element:SetName("Layer_8")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(13, 19)
	element:SetParentElement(compositionglases_crsh)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.25, 3)
	effector:SetKey(_TRACK_X, 0.25, 475.5)
	effector:SetKey(_TRACK_Y, 0.25, 99.5)
	effector:SetKey(_TRACK_X, 0.5, 459.5)
	effector:SetKey(_TRACK_Y, 0.5, 342.5)
	effector:SetKey(_TRACK_X, 0.54166666666667, 443.000256526759)
	effector:SetKey(_TRACK_Y, 0.54166666666667, 322.500310941526)
	effector:SetKey(_TRACK_X, 0.625, 426.5)
	effector:SetKey(_TRACK_Y, 0.625, 302.5)
	effector:SetKey(_TRACK_X, 0.75, 412.785692723229)
	effector:SetKey(_TRACK_Y, 0.75, 334.071478210067)
	effector:SetKey(_TRACK_X, 1, 330.5)
	effector:SetKey(_TRACK_Y, 1, 523.5)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 1, -5.12068955856279)
	effector:SetKey(_TRACK_A, 1.04166666666667, -5.43781490240338)
	effector:SetKey(_TRACK_A, 1.07499186197917, -5.12068955856279)
	effector:Play()
 
 
	-- Layer Layer_9
	element = CreateCompositionElement(PREFIX_PATH.."07.png")
	element:SetName("Layer_9")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(52, 41)
	element:SetParentElement(compositionglases_crsh)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.25, 3)
	effector:SetKey(_TRACK_X, 0.25, 598)
	effector:SetKey(_TRACK_Y, 0.25, 150)
	effector:SetKey(_TRACK_X, 0.54166666666667, 619)
	effector:SetKey(_TRACK_Y, 0.54166666666667, 398)
	effector:SetKey(_TRACK_X, 0.875, 599)
	effector:SetKey(_TRACK_Y, 0.875, 830)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 0.54166666666667, -2.00809274260043)
	effector:SetKey(_TRACK_A, 0.75, -3.59676110617683)
	effector:Play()
 
 
	-- Layer Layer_10
	element = CreateCompositionElement(PREFIX_PATH.."08.png")
	element:SetName("Layer_10")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(48, 72)
	element:SetParentElement(compositionglases_crsh)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.25, 3)
	effector:SetKey(_TRACK_X, 0.25, 694)
	effector:SetKey(_TRACK_Y, 0.25, 159)
	effector:SetKey(_TRACK_X, 0.5, 769)
	effector:SetKey(_TRACK_Y, 0.5, 385)
	effector:SetKey(_TRACK_X, 0.75, 851)
	effector:SetKey(_TRACK_Y, 0.75, 838)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 0.75, 4.92313146266924)
	effector:Play()
 
 
	-- Layer Layer_11
	element = CreateCompositionElement(PREFIX_PATH.."09.png")
	element:SetName("Layer_11")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(81, 48)
	element:SetParentElement(compositionglases_crsh)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.25, 3)
	effector:SetKey(_TRACK_X, 0.25, 709)
	effector:SetKey(_TRACK_Y, 0.25, 224)
	effector:SetKey(_TRACK_X, 0.45833333333333, 745)
	effector:SetKey(_TRACK_Y, 0.45833333333333, 392)
	effector:SetKey(_TRACK_X, 0.70833333333333, 726)
	effector:SetKey(_TRACK_Y, 0.70833333333333, 865)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 0.45833333333333, 0.7209933388297)
	effector:SetKey(_TRACK_A, 0.66666666666667, 1.15333548020424)
	effector:Play()
 
 
	-- Layer Layer_12
	element = CreateCompositionElement(PREFIX_PATH.."10.png")
	element:SetName("Layer_12")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(85, 35)
	element:SetParentElement(compositionglases_crsh)
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.25, 3)
	effector:SetKey(_TRACK_X, 0.25, 669)
	effector:SetKey(_TRACK_Y, 0.25, 83)
	effector:SetKey(_TRACK_X, 0.41666666666667, 686)
	effector:SetKey(_TRACK_Y, 0.41666666666667, 256)
	effector:SetKey(_TRACK_X, 0.70833333333333, 671)
	effector:SetKey(_TRACK_Y, 0.70833333333333, 500)
	effector:SetKey(_TRACK_X, 0.83333333333333, 691)
	effector:SetKey(_TRACK_Y, 0.83333333333333, 829)
	effector:SetKey(_TRACK_A, 0.25, 0)
	effector:SetKey(_TRACK_A, 0.41666666666667, 0.41332213160523)
	effector:Play()
 
 
	-- Layer Layer_13
	element = CreateCompositionElement(PREFIX_PATH.."Crash_crop_[].png")
	element:SetName("Layer_13")
	compositionglases_crsh:AddElement(element)
	element:SetHotSpot(184, 160)
	element:SetParentElement(compositionglases_crsh)
	element:SetXY(648, 204)
 
 
	effector = element:GetEffector()
	effector:SetLifeTime(0.08333333333333, 0.25)
	effector:Play()
 
	compositionglases_crsh:Play()
 
	return compositionglases_crsh
end
 
